From 135f14e3d90c58dd961f6fc70cee61c25f7198b5 Mon Sep 17 00:00:00 2001
From: Lukas Sigrist <lukas.sigrist@tik.ee.ethz.ch>
Date: Wed, 11 Jul 2018 08:22:35 +0200
Subject: [PATCH 18/33] adding CC26xx configuration switch to disable LED
 indicators

---
 arch/cpu/cc26xx-cc13xx/cc13xx-cc26xx-conf.h | 11 +++++++++++
 arch/platform/srf06-cc26xx/platform.c       | 11 ++++++++++-
 2 files changed, 21 insertions(+), 1 deletion(-)

diff --git a/arch/cpu/cc26xx-cc13xx/cc13xx-cc26xx-conf.h b/arch/cpu/cc26xx-cc13xx/cc13xx-cc26xx-conf.h
index 83519f7..e2e1254 100644
--- a/arch/cpu/cc26xx-cc13xx/cc13xx-cc26xx-conf.h
+++ b/arch/cpu/cc26xx-cc13xx/cc13xx-cc26xx-conf.h
@@ -189,6 +189,17 @@
 /** @} */
 /*---------------------------------------------------------------------------*/
 /**
+ * \name LED indicator configuration
+ *
+ * Enable/Disable the LEDs indicating boot progress and system state.
+ * @{
+ */
+#ifndef CC26XX_LED_CONF_ENABLE
+#define CC26XX_LED_CONF_ENABLE             1 /**< Enable/Disable LED output */
+#endif
+/** @} */
+/*---------------------------------------------------------------------------*/
+/**
  * \name ROM Bootloader configuration
  *
  * Enable/Disable the ROM bootloader in your image, if the board supports it.
diff --git a/arch/platform/srf06-cc26xx/platform.c b/arch/platform/srf06-cc26xx/platform.c
index bfda15d..59ee37f 100644
--- a/arch/platform/srf06-cc26xx/platform.c
+++ b/arch/platform/srf06-cc26xx/platform.c
@@ -92,6 +92,7 @@ void board_init(void);
 #define BOARD_HAS_SENSORS 1
 #endif
 /*---------------------------------------------------------------------------*/
+#if CC26XX_LED_CONF_ENABLE
 static void
 fade(leds_mask_t l)
 {
@@ -110,6 +111,7 @@ fade(leds_mask_t l)
     }
   }
 }
+#endif
 /*---------------------------------------------------------------------------*/
 static void
 set_rf_params(void)
@@ -155,8 +157,9 @@ platform_init_stage_one()
   gpio_hal_init();
 
   leds_init();
+#if CC26XX_LED_CONF_ENABLE
   fade(LEDS_RED);
-
+#endif
   /*
    * Disable I/O pad sleep mode and open I/O latches in the AON IOC interface
    * This is only relevant when returning from shutdown (which is what froze
@@ -169,7 +172,9 @@ platform_init_stage_one()
   ti_lib_int_master_enable();
 
   soc_rtc_init();
+#if CC26XX_LED_CONF_ENABLE
   fade(LEDS_YELLOW);
+#endif
 }
 /*---------------------------------------------------------------------------*/
 void
@@ -199,7 +204,9 @@ platform_init_stage_two()
 
   button_hal_init();
 
+#if CC26XX_LED_CONF_ENABLE
   fade(LEDS_GREEN);
+#endif
 }
 /*---------------------------------------------------------------------------*/
 void
@@ -233,7 +240,9 @@ platform_init_stage_three()
   process_start(&sensors_process, NULL);
 #endif
 
+#if CC26XX_LED_CONF_ENABLE
   fade(LEDS_ORANGE);
+#endif
 }
 /*---------------------------------------------------------------------------*/
 void
-- 
2.7.4

